# https://github.com/syncthing/notify
%global goipath github.com/syncthing/notify
%global commit  b76b45868a77e7800dd06cce61101af9c4274bcc

%gometa

Name:           %{goname}
Version:        0
Release:        0.4%{?dist}
Summary:        File system event notification library on steroids
License:        MIT

URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}.


%package        devel
Summary:        %{summary}
BuildArch:      noarch

BuildRequires:  golang(golang.org/x/sys/unix)

%description    devel
%{summary}.

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%gosetup -q


%install
%goinstall


%check
# For some reason, %%gochecks doesn't work, so do it the "old" way
export GOPATH=%{buildroot}/%{gopath}:%{gopath}

# Copy test data to expected location
cp -pavr testdata %{buildroot}/%{gopath}/src/%{goipath}/

%gotest %{goipath}

# Vacuum up test data from the build root
rm -r %{buildroot}/%{gopath}/src/%{goipath}/testdata


%files devel -f devel.file-list
%license LICENSE
%doc README.md AUTHORS


%changelog
* Wed Aug 29 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.4.20180829gitb76b458
- Bump to commit b76b458.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.20180708gitcdf89c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jul 08 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.2.20180708gitcdf89c4
- Bump to commit cdf89c4.

* Tue May 01 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.1.20180426gitb9ceffc
- Initial package.

